gnutls_dtls_prestate_set(3)

NAME
gnutls_dtls_prestate_set - API function

SYNOPSIS
#include <gnutls/dtls.h>

void gnutls_dtls_prestate_set(gnutls_session_t session, gnutls_dtls_prestate_st * prestate);

ARGUMENTS

gnutls_session_t session
    a new session

gnutls_dtls_prestate_st * prestate
    contains the client's prestate

DESCRIPTION
This function will associate the prestate acquired by the cookie authentication with the client, with the newly established session.

This functions must be called after a successful gnutls_dtls_cookie_verify() and should be succeeded by the actual DTLS handshake using gnutls_handshake().

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/